Subject: Re: [decade] Authentication with OAuth?

From: "Alan Arolovitch" <[email-masked]>
Date: Thu, 3 Jun 2010 22:41:14 +0300

K
--------------------------
Sent using BlackBerry

--------------------------------------------------------------------------
This e-mail Contains PeerApp Proprietary and Confidential information.

--------------------------------------------------------------------------
-----Original Message-----
From: [email-masked] <[email-masked]>
To: Song Haibin <[email-masked]>; [email-masked] <[email-masked]>
Sent: Thu Jun 03 22:30:08 2010
Subject: Re: [decade] Authentication with OAuth?

(Taking off my co-chair hat.)

Certainly OAuth has been part of the thinking in DECADE so far.

<http://tools.ietf.org/html/draft-song-decade-survey-03#section-8>
<http://www.ietf.org/proceedings/77/slides/decade-5.pdf>

My perception is that OAuth could be used to authorize resources such as
bandwidth and priority.

I wonder if OAuth is as applicable for a NFS 4.1 solution as it would be
for a WebDAV solution?

-- Rich

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Song Haibin
Sent: Tuesday, June 01, 2010 5:14 AM
To: [email-masked]
Subject: [decade] Authentication with OAuth?

One possible authentication method for DECADE might be reusing OAuth.
I'm
not sure whether OAuth can fit well here. Can existing OAuth be used to
authorize bandwidth or priority to the requester? I'm not sure whether
we
need the unauthorized request token step in DECADE context.

Thanks,
Haibin <as contributor>

_______________________________________________
decade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/decade
_______________________________________________
decade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/decade

*********************************************************************************************